#!/usr/bin/env python
# ==============================================================================
# Copyright and license info is available in the LICENSE file included with
# the Server Deployment Package (SDP), and also available online:
# https://swarm.workshop.perforce.com/projects/perforce-software-sdp/view/main/LICENSE
# ------------------------------------------------------------------------------

"""
This script will unload labels that have not been accessed since the number
of weeks specified in the removedate string below.
"""

# Python 2.7/3.3 compatibility.
from __future__ import print_function

import os
import datetime
import sys
import sdputils

if len(sys.argv) > 1:
    SDP_INSTANCE = str(sys.argv[1])
else:
    SDP_INSTANCE = '1'

utils = sdputils.SDPUtils(SDP_INSTANCE)
config = utils.config
p4 = utils.p4
utils.login()


def main():
    days = config.weeks * 7
    removedate = (datetime.date.today() - datetime.timedelta(days)).strftime("%Y/%m/%d")
    command = ('%s unload -f -L -z -al -d %s') % (p4, removedate)
    os.system(command)

###############################################################################
# main
if __name__ == '__main__':
    main()
